| Flutter Impeller |

Public Types | Public Member Functions | List of all members
impeller::SharedObjectVKT< T > Class Template Reference

`#include <shared_object_vk.h>`

Inheritance diagram for impeller::SharedObjectVKT< T >:

## Public Types
using | Resource = T
using | UniqueResource = vk::UniqueHandle< Resource, VULKAN_HPP_DEFAULT_DISPATCHER_TYPE >

## Public Member Functions
| SharedObjectVKT (UniqueResource res)
| operator Resource () const
const Resource & | Get () const
const UniqueResource & | GetUniqueWrapper () const
Public Member Functions inherited from impeller::SharedObjectVK
virtual | ~SharedObjectVK ()=default

## Detailed Description

### template<class T>
class impeller::SharedObjectVKT< T >

Definition at line 20 of file shared_object_vk.h.

## Member Typedef Documentation

## ◆ Resource

template<class T >

using impeller::SharedObjectVKT< T >::Resource = T

Definition at line 22 of file shared_object_vk.h.

## ◆ UniqueResource

template<class T >

using impeller::SharedObjectVKT< T >::UniqueResource = vk::UniqueHandle<Resource, VULKAN_HPP_DEFAULT_DISPATCHER_TYPE>

Definition at line 24 of file shared_object_vk.h.

## Constructor & Destructor Documentation

## ◆ SharedObjectVKT()

template<class T >

impeller::SharedObjectVKT< T >::SharedObjectVKT | ( | UniqueResource | res | ) |
| inlineexplicit

Definition at line 26 of file shared_object_vk.h.

26 : resource_(std::move(res)) {}

## Member Function Documentation

## ◆ Get()

template<class T >

const Resource& impeller::SharedObjectVKT< T >::Get | ( |  | ) | const
| inline

Definition at line 31 of file shared_object_vk.h.

31 { return *resource_; }

Referenced by impeller::SharedObjectVKT< T >::operator Resource().

## ◆ GetUniqueWrapper()

template<class T >

const UniqueResource& impeller::SharedObjectVKT< T >::GetUniqueWrapper | ( |  | ) | const
| inline

Definition at line 33 of file shared_object_vk.h.

33 { return resource_; }

## ◆ operator Resource()

template<class T >

impeller::SharedObjectVKT< T >::operator Resource | ( |  | ) | const
| inline

Definition at line 29 of file shared_object_vk.h.

29 { return Get(); }

References impeller::SharedObjectVKT< T >::Get().

The documentation for this class was generated from the following file:

- impeller/renderer/backend/vulkan/shared_object_vk.h

impeller::SharedObjectVKT::Get
const Resource & Get() const
Definition: shared_object_vk.h:31